## org.eclipse.datatools.connectivity.oda.design
Class OdaComplexDataType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.OdaComplexDataType

    public final class OdaComplexDataType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Oda Complex Data Type', and utility methods for working with them. ODA complex data types.

See Also:
  `DesignPackage.getOdaComplexDataType()`

Field Summary
`static java.lang.String` `copyright`
`static int` `STRUCTURE` The 'Structure' literal value.
`static OdaComplexDataType` `STRUCTURE_LITERAL` The 'Structure' literal object.
`static int` `TABLE` The 'Table' literal value.
`static OdaComplexDataType` `TABLE_LITERAL` The 'Table' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Oda Complex Data Type' enumerators.

Method Summary
`static OdaComplexDataType` `get(int value)` Returns the 'Oda Complex Data Type' literal with the specified integer value.
`static OdaComplexDataType` `get(java.lang.String literal)` Returns the 'Oda Complex Data Type' literal with the specified literal value.
`static OdaComplexDataType` `getByName(java.lang.String name)` Returns the 'Oda Complex Data Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### STRUCTURE

    public static final int STRUCTURE

  The 'Structure' literal value.

  See Also:
    `STRUCTURE_LITERAL`, Constant Field Values

### TABLE

    public static final int TABLE

  The 'Table' literal value.

  See Also:
    `TABLE_LITERAL`, Constant Field Values

### STRUCTURE_LITERAL

    public static final OdaComplexDataType STRUCTURE_LITERAL

  The 'Structure' literal object.

  See Also:
    `STRUCTURE`

### TABLE_LITERAL

    public static final OdaComplexDataType TABLE_LITERAL

  The 'Table' literal object.

  See Also:
    `TABLE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Oda Complex Data Type' enumerators.

Method Detail

### get

    public static OdaComplexDataType get(java.lang.String literal)

  Returns the 'Oda Complex Data Type' literal with the specified literal value.

### getByName

    public static OdaComplexDataType getByName(java.lang.String name)

  Returns the 'Oda Complex Data Type' literal with the specified name.

### get

    public static OdaComplexDataType get(int value)

  Returns the 'Oda Complex Data Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.